﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;

using Android.OS;
using Android.Webkit;
using System.Threading;

namespace WebViewWithThreadTest
{
	[Activity (Label = "WebViewWithThreadTest", MainLauncher = true)]
	public class MainActivity : Activity
	{
		int count = 1;
		WebView wv;
		Thread trd; 
		protected override void OnCreate (Bundle bundle)
		{
			base.OnCreate (bundle);

			// Set our view from the "main" layout resource
			SetContentView (Resource.Layout.Main);

			// Get our button from the layout resource,
			// and attach an event to it
			Button button = FindViewById<Button> (Resource.Id.myButton);
			
			button.Click += delegate {
				button.Text = string.Format ("{0} clicks!", count++);
				wv.LoadUrl("javascript:SetStatus('" + button.Text + "')");
				//wv.LoadUrl("javascript:AnimationOn('')");
				trd = new Thread(new ThreadStart(
					()=>{

						Thread.Sleep(500);
						this.RunOnUiThread (new Action (() => {
							wv.LoadUrl("javascript:SetStatus('')");
							wv.LoadUrl("javascript:AnimationOff('')");
						}));
					}
				));
				trd.Start ();
			};

			wv = FindViewById<WebView> (Resource.Id.webView1);
			wv.LoadUrl("file:///android_asset/spinner.html");
			wv.Settings.JavaScriptEnabled = true;
		}
	}
}


